#!/usr/bin/env python3
# encoding: utf-8
#
# This file is a part of the CaosDB Project.
#
# Copyright (C) 2023 Alexander Schlemmer <alexander.schlemmer@ds.mpg.de>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#

from caoscrawler.crawl import split_restricted_path


def test_split_restricted_path():
    assert split_restricted_path("") == []
    assert split_restricted_path("/") == []
    assert split_restricted_path("test/") == ["test"]
    assert split_restricted_path("/test/") == ["test"]
    assert split_restricted_path("test/bla") == ["test", "bla"]
    assert split_restricted_path("/test/bla") == ["test", "bla"]
    assert split_restricted_path("/test1/test2/bla") == ["test1", "test2", "bla"]
    assert split_restricted_path("/test//bla") == ["test", "bla"]
    assert split_restricted_path("//test/bla") == ["test", "bla"]
    assert split_restricted_path("///test//bla////") == ["test", "bla"]
